Index: MovingPictures/LocalMediaManagement/VideoUtility.cs
===================================================================
--- MovingPictures/LocalMediaManagement/VideoUtility.cs	(revision 1467)
+++ MovingPictures/LocalMediaManagement/VideoUtility.cs	(working copy)
@@ -39,7 +39,7 @@
                 case VideoFormat.DVD:
                     return @"\video_ts\video_ts.ifo";
                 case VideoFormat.Bluray:
-                    return @"\bdmv\index.bdmv";
+                    return @"\BDMV\index.bdmv";
                 case VideoFormat.HDDVD:
                     return @"\adv_obj\discid.dat"; // or adv_obj\vplst000.xpl ?
                 case VideoFormat.SVCD:
Index: MovingPictures/MainUI/MoviePlayer.cs
===================================================================
--- MovingPictures/MainUI/MoviePlayer.cs	(revision 1467)
+++ MovingPictures/MainUI/MoviePlayer.cs	(working copy)
@@ -291,7 +291,7 @@
 
             // start playback
             logger.Info("Playing: Movie='{0}' FullPath='{1}', VideoPath='{2}', Mounted={3})", movie.Title, mediaToPlay.FullPath, videoPath, mountedPlayback.ToString());
-            playFile(videoPath, mediaToPlay.VideoFormat);            
+            playFile(videoPath, mediaToPlay.VideoFormat);
         }
 
         private bool playCustomIntro() {
@@ -375,7 +375,7 @@
                 }
 
                 // Alternate playback HD content (without menu)
-                string newMedia = videoFormat.GetMainFeatureFilePath(media);
+                /*string newMedia = videoFormat.GetMainFeatureFilePath(media);
                  if (newMedia != null) {
                     // Check if the stream extension is in the mediaportal extension list.
                     if (Utility.IsMediaPortalVideoFile(newMedia)) {
@@ -389,7 +389,7 @@
                         resetPlayer();
                         return;
                     }
-                }
+                }*/
 
                 logger.Info("HD Playback: Internal, Media={0}", media);
             }
@@ -528,7 +528,8 @@
 
                 // and jump to our resume position if necessary
                 if (_resumeActive) {
-                    if (g_Player.IsDVD) {
+                  if (g_Player.IsDVD && !movie.LocalMedia[0].IsBluray)
+                  {
                         logger.Debug("Resume: DVD state.");
                         g_Player.Player.SetResumeState(movie.ActiveUserSettings.ResumeData.Data);
                     }
Index: MovingPictures/Properties/AssemblyInfoTemplate.txt
===================================================================
--- MovingPictures/Properties/AssemblyInfoTemplate.txt	(revision 1467)
+++ MovingPictures/Properties/AssemblyInfoTemplate.txt	(working copy)
@@ -35,6 +35,6 @@
 [assembly: AssemblyVersion("1.5.0.${revision}")]
 
 // mediaportal compatible version
-[assembly: CompatibleVersion("1.1.6.27644")]
+[assembly: CompatibleVersion("1.2.100.0", "1.1.6.27644")]
 
 [assembly: System.Runtime.CompilerServices.InternalsVisibleTo("MovingPicturesUnitTest")]
